TagLib::MPC::Properties Class Reference

An implementation of audio property reading for MPC. More...

`#include <mpcproperties.h>`

Inheritance diagram for TagLib::MPC::Properties:
[legend]
Collaboration diagram for TagLib::MPC::Properties:
[legend]

## Public Member Functions

| Properties (File *file, offset_t streamLength, ReadStyle style=Average)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | mpcVersion () const
unsigned int | totalFrames () const
unsigned long | sampleFrames () const
int | trackGain () const
int | trackPeak () const
int | albumGain () const
int | albumPeak () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for MPC.

This reads the data from an MPC stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::MPC::Properties::Properties | ( | File * | file,
|  | offset_t | streamLength,
|  | ReadStyle | style = Average )

Create an instance of MPC::Properties with the data read directly from an MPC::File.

References TagLib::AudioProperties::Average.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::MPC::Properties::~Properties | ( |  | ) |

override

Destroys this MPC::Properties instance.

## Properties() [2/2]

TagLib::MPC::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## albumGain()

int TagLib::MPC::Properties::albumGain | ( |  | ) | const

Returns the album gain as an integer value.

To convert to dB: albumGain in dB = 64.82 - (albumGain / 256)

## albumPeak()

int TagLib::MPC::Properties::albumPeak | ( |  | ) | const

Returns the album peak as an integer value.

To convert to dB: albumPeak in dB = albumPeak / 256
To convert to floating [-1..1]: albumPeak = 10^(albumPeak / 256 / 20)/32768

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## bitrate()

int TagLib::MPC::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## channels()

int TagLib::MPC::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## lengthInMilliseconds()

int TagLib::MPC::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## mpcVersion()

int TagLib::MPC::Properties::mpcVersion | ( |  | ) | const

Returns the version of the bitstream (SV4-SV8)

## operator=()

Properties & TagLib::MPC::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleFrames()

unsigned long TagLib::MPC::Properties::sampleFrames | ( |  | ) | const

## sampleRate()

int TagLib::MPC::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

## totalFrames()

unsigned int TagLib::MPC::Properties::totalFrames | ( |  | ) | const

## trackGain()

int TagLib::MPC::Properties::trackGain | ( |  | ) | const

Returns the track gain as an integer value.

To convert to dB: trackGain in dB = 64.82 - (trackGain / 256)

## trackPeak()

int TagLib::MPC::Properties::trackPeak | ( |  | ) | const

Returns the track peak as an integer value.

To convert to dB: trackPeak in dB = trackPeak / 256
To convert to floating [-1..1]: trackPeak = 10^(trackPeak / 256 / 20)/32768

The documentation for this class was generated from the following file:

- mpcproperties.h